From 5183e32ee6be783afa79ebe02ab0942d0a2291c3 Mon Sep 17 00:00:00 2001
From: Axel Napolitano <vreckan-e2018@skjt.de>
Date: Fri, 7 Dec 2018 22:24:31 +0100
Subject: [PATCH] =?UTF-8?q?Set=20default=20preference=20for=20=E2=80=9ESho?=
 =?UTF-8?q?wPicture=E2=80=9C=20to=20=E2=80=9ENEVER=E2=80=9C?=
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Showing images in E-Mails may violate privacy of users. Remote access to resources like images may be recorded, analyzed and abused to monitor activity of the user. Avoiding the loading of those images would improve privacy of a user.

Currently the default setting is "ALWAYS" which means, that resources will be always loaded, which may violate privacy of the user if not manually changed. The default setting should be changed to "NEVER" which denies loading of remote resources like images by default - users may then individually decide to load those resources anyway by simply pressing the according button in the mail view. This improves privacy and gives back control to user.
---
 k9mail/src/main/java/io/eelo/mail/Account.java                | 4 ++--
 .../main/java/io/eelo/mail/preferences/AccountSettings.java   | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/k9mail/src/main/java/io/eelo/mail/Account.java b/k9mail/src/main/java/io/eelo/mail/Account.java
index f79d646cf..ef217e0f7 100644
--- a/k9mail/src/main/java/io/eelo/mail/Account.java
+++ b/k9mail/src/main/java/io/eelo/mail/Account.java
@@ -302,7 +302,7 @@ public class Account implements BaseAccount, AccountConfig {
         folderTargetMode = FolderMode.NOT_SECOND_CLASS;
         sortType = DEFAULT_SORT_TYPE;
         sortAscending.put(DEFAULT_SORT_TYPE, DEFAULT_SORT_ASCENDING);
-        showPictures = ShowPictures.ALWAYS;
+        showPictures = ShowPictures.NEVER;
         isSignatureBeforeQuotedText = false;
         expungePolicy = Expunge.EXPUNGE_IMMEDIATELY;
         autoExpandFolderName = INBOX;
@@ -473,7 +473,7 @@ public class Account implements BaseAccount, AccountConfig {
 
         sortAscending.put(sortType, storage.getBoolean(accountUuid + ".sortAscending", false));
 
-        showPictures = Preferences.getEnumStringPref(storage, accountUuid + ".showPicturesEnum", ShowPictures.ALWAYS);
+        showPictures = Preferences.getEnumStringPref(storage, accountUuid + ".showPicturesEnum", ShowPictures.NEVER);
 
         notificationSetting.setVibrate(storage.getBoolean(accountUuid + ".vibrate", false));
         notificationSetting.setVibratePattern(storage.getInt(accountUuid + ".vibratePattern", 0));
diff --git a/k9mail/src/main/java/io/eelo/mail/preferences/AccountSettings.java b/k9mail/src/main/java/io/eelo/mail/preferences/AccountSettings.java
index 8e45fbabc..07ba954e4 100644
--- a/k9mail/src/main/java/io/eelo/mail/preferences/AccountSettings.java
+++ b/k9mail/src/main/java/io/eelo/mail/preferences/AccountSettings.java
@@ -159,7 +159,7 @@ public class AccountSettings {
                 new Settings.V(9, new Settings.BooleanSetting(Account.DEFAULT_SORT_ASCENDING))
         ));
         s.put("showPicturesEnum", Settings.versions(
-                new Settings.V(1, new Settings.EnumSetting<>(Account.ShowPictures.class, Account.ShowPictures.ALWAYS))
+                new Settings.V(1, new Settings.EnumSetting<>(Account.ShowPictures.class, Account.ShowPictures.NEVER))
         ));
         s.put("signatureBeforeQuotedText", Settings.versions(
                 new Settings.V(1, new Settings.BooleanSetting(false))
-- 
2.17.2 (Apple Git-113)

